Vector BLF: Vector::BLF::LinShortOrSlowResponse Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::LinShortOrSlowResponse Struct Referencefinal

LIN_SHORT_OR_SLOW_RESPONSE. More...

`#include <LinShortOrSlowResponse.h>`

Inheritance diagram for Vector::BLF::LinShortOrSlowResponse:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::LinSynchFieldEvent
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::LinBusEvent
| LinBusEvent (const LinBusEvent &)=default
LinBusEvent & | operator= (const LinBusEvent &)=default
| LinBusEvent (LinBusEvent &&)=default
LinBusEvent & | operator= (LinBusEvent &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint32_t | numberOfRespBytes {}
| number of valid response bytes
std::array< uint8_t, 9 > | respBytes {}
| the response bytes (can include the checksum)
uint8_t | slowResponse {}
| non-zero, if the response was too slow
uint8_t | interruptedByBreak {}
| non-zero, if the response was interrupted by a sync break
uint8_t | reservedLinShortOrSlowResponse {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type
Public Attributes inherited from Vector::BLF::LinDatabyteTimestampEvent
std::array< uint64_t, 9 > | databyteTimestamps {}
| Databyte timestamps, where d[0] = EndOfHeader, d[1]=EndOfDataByte1, ..., d[8]=EndOfDataByte8.
Public Attributes inherited from Vector::BLF::LinMessageDescriptor
uint16_t | supplierId {}
| LIN Sub-Identifier - Supplier ID.
uint16_t | messageId {}
| LIN Sub-Identifier - Message ID (16 bits)
uint8_t | nad {}
| LIN Sub-Identifier - NAD.
uint8_t | id {}
| LIN ID.
uint8_t | dlc {}
| LIN DLC.
uint8_t | checksumModel {}
| LIN checksum model.
Public Attributes inherited from Vector::BLF::LinSynchFieldEvent
uint64_t | synchBreakLength {}
| Sync Break Length in ns.
uint64_t | synchDelLength {}
| Sync Delimiter Length in ns.
Public Attributes inherited from Vector::BLF::LinBusEvent
uint64_t | sof {}
| Start Of Frame timestamp.
uint32_t | eventBaudrate {}
| Baudrate of the event in bit/sec.
uint16_t | channel {}
| application channel
uint16_t | reservedLinBusEvent {}

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

LIN_SHORT_OR_SLOW_RESPONSE.

This event occurs if a set of receive errors could be a valid header followed by a short or slow response.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::LinShortOrSlowResponse::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::LinDatabyteTimestampEvent.

## ◆ read()

void Vector::BLF::LinShortOrSlowResponse::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::LinDatabyteTimestampEvent.

## ◆ write()

void Vector::BLF::LinShortOrSlowResponse::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::LinDatabyteTimestampEvent.

## Member Data Documentation

## ◆ interruptedByBreak

uint8_t Vector::BLF::LinShortOrSlowResponse::interruptedByBreak {}

non-zero, if the response was interrupted by a sync break

Non-zero, if the response was interrupted by a sync break; otherwise zero.

## ◆ numberOfRespBytes

uint32_t Vector::BLF::LinShortOrSlowResponse::numberOfRespBytes {}

number of valid response bytes

The number of response bytes.

## ◆ reservedLinShortOrSlowResponse

uint8_t Vector::BLF::LinShortOrSlowResponse::reservedLinShortOrSlowResponse {}

reserved

## ◆ respBytes

std::array<uint8_t, 9> Vector::BLF::LinShortOrSlowResponse::respBytes {}

the response bytes (can include the checksum)

The response bytes (can include the checksum).

## ◆ slowResponse

uint8_t Vector::BLF::LinShortOrSlowResponse::slowResponse {}

non-zero, if the response was too slow

Non-zero, if the response was too slow; otherwise zero.

The documentation for this struct was generated from the following files:

- LinShortOrSlowResponse.h
- LinShortOrSlowResponse.cpp